/*!
 * jQuery Cycle Plugin (with Transition Definitions)
 * Examples and documentation at: http://jquery.malsup.com/cycle/
 * Copyright (c) 2007-2010 M. Alsup
 * Version: 2.9999.5 (10-APR-2012)
 * Dual licensed under the MIT and GPL licenses.
 * http://jquery.malsup.com/license.html
 * Requires: jQuery v1.3.2 or later
 */
;(function($, undefined) {
	
	$.fn.cycle.transitions.customSlideLeft = function($cont, $slides, opts){
		opts = $.extend(opts, {
            cssBefore: { left: '-100%', opacity:1, display: 'block' }, 
            animIn:  { left: '0%' }, 
            animOut: { left: '100%' }
		});
		opts.before.push(function(curr, next, opts, fwd){
			$(curr).removeClass('curr');
			$(next).addClass('curr');
		});
	};
	
	$.fn.cycle.transitions.customSlideRight = function($cont, $slides, opts){
		opts = $.extend(opts, {
			cssBefore: { left: '100%', opacity:1, display: 'block' }, 
			animIn:  { left: '0%' }, 
			animOut: { left: '-100%' }
		});
		opts.before.push(function(curr, next, opts, fwd){
			$(curr).removeClass('curr');
			$(next).addClass('curr');
		});
	};	

})(jQuery);
