<?php
/**
 * @package Sj Content SlideShow
 * @version 2.5
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @copyright (c) 2012 YouTech Company. All Rights Reserved.
 * @author YouTech Company http://www.smartaddons.com
 * 
 */
defined('_JEXEC') or die;

class ContentSlideShowReader extends SjReader{		
	public function getList(&$params){	
		$categories = array();
		$list=array();			
		$user 		=&	JFactory::getUser();
		$app 		=&	JFactory::getApplication();
		$db   		=&	JFactory::getDBO();
		$jnow		=& 	JFactory::getDate();
		$now		= 	$jnow->toMySQL();
		$nullDate	=	$db->getNullDate();
		$noauth		= !	$app->getParams()->get('show_noauth');
		$aid = $user->get ( 'aid', 0 );
		$aid = 1;
		if (!isset($params['source']) || empty($params['source'])){
			$this->errors = "No selected or all selected is unpublished.";
		return array();
		}
		$category_ids = is_array($params['source']) ? $params['source'] : array($params['source']);		
		if ($noauth){
			$accessids 	= $user->getAuthorisedViewLevels();
			$access_set = implode(",", $accessids);
			$authorize	= "AND c.access IN ($access_set)";
		} else {
			$authorize 	= "";
		}						
		if ( isset($params['source_filter']) ){
				// frontpage filter.
			switch ($params['source_filter']){
					default:
					case '0':
						$join_filter = "";
						break;
					case '1':						
						//$join_filter = "LEFT JOIN #__content_frontpage as f ON  a.id not in (SELECT content_id FROM #__content_frontpage )";
						$join_filter =" AND a.id not in (SELECT content_id FROM #__content_frontpage )";
						break;
					case '2':
						$join_filter = "INNER JOIN #__content_frontpage as f ON a.id=f.content_id";
						break;
				}
			}				
			$query =
				"
				SELECT
					a.id, a.title, a.introtext, a.fulltext,
					a.created, a.modified, a.hits, a.alias, 
					DATEDIFF(NOW(), a.created) as datediff,
					c.id AS category_id, c.title as cat_name, c.access as cat_access
					
				FROM #__content AS a
					INNER JOIN #__categories AS c ON c.id = a.catid					
					$join_filter
				WHERE
				
					c.id IN (" . implode(",", $category_ids) . ")
					$authorize
					AND a.state >0
					AND ( a.publish_up = {$db->quote($nullDate)} OR a.publish_up <= {$db->quote($now)} )
					AND ( a.publish_down = {$db->quote($nullDate)} OR a.publish_down >= {$db->quote($now)} )
					AND a.language IN ( {$db->quote(JFactory::getLanguage()->getTag())} , {$db->quote('*')} )
				";
			if ( isset($params['source_order_by']) ){
				switch ($params['source_order_by']){
					default:
					case 'ordering':
						$query .= " ORDER BY a.ordering";
						break;
					case 'hits':
						$query .= " ORDER BY a.hits DESC";
						break;
					case 'created':
						$query .= " ORDER BY a.created DESC";
						break;
					case 'modified':
						$query .= " ORDER BY a.modified DESC";
						break;
					case 'title':
						$query .= " ORDER BY a.title";
						break;
					case 'random':
						$query .= " ORDER BY rand()";
						break;
				}
			}
		
		// YTools::dump(str_replace('#__', 'jos_', $query));
			$total=$params['source_limit'];				   
			$query .=  $total ? ' LIMIT ' . $total : '';	
			$db->setQuery($query);
			$rows = $db->loadObjectList();	
			include_once JPATH_SITE . DS . 'components' . DS . 'com_content' . DS . 'helpers' . DS . 'route.php';
			foreach ($rows as $key=>$item){							
				$temp = array();								
				$item->text = $item->introtext;
				$item->image  = YTools::extractImages($item->text);									
				if(empty($item->image[0]) || !file_exists($item->image[0])){					
					$item->image[0]=	'modules/'.Ytools::getModule()->module.'/assets/images/nophoto.gif';
				}
				$item->link = JRoute::_(ContentHelperRoute::getArticleRoute($item->id, $item->category_id));					
				
				$item->desc = $item->text;
				if ($params['item_desc_keephtml'] == 0){
					$item->desc = strip_tags($item->desc);
				}					
					$temp['id'] = $item->id;						    
					$temp['title'] = $item->title;		
					$temp['link'] = $item->link;	 
					$temp['image'] = $item->image[0];						
					$temp['desc'] = $item->desc;     				   					 																				
					$list[$key] = $temp;							
			}			
		return $list;
	}
}
